| Home | Libraries | People | FAQ | More

## Function template is_partitioned

boost::algorithm::is_partitioned — Tests to see if a sequence is partitioned according to a predicate. In other words, all the items in the sequence that satisfy the predicate are at the beginning of the sequence.

## Synopsis

    // In header: <boost/algorithm/cxx11/is_partitioned.hpp>

    template<typename Range, typename UnaryPredicate>
      bool is_partitioned(const Range & r, UnaryPredicate p);

## Description

Parameters:

`p` | The predicate to test the values with
`r` | The input range